<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2024 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.android.appsearch.appsindexertests" >
    <uses-sdk android:minSdkVersion="33" android:targetSdkVersion="33" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES"/>
    <application android:label="AppsIndexerTests"
                 android:debuggable="true">
        <uses-library android:name="android.test.runner"/>
        <service android:name="com.android.server.appsearch.appsindexer.IndexerMaintenanceService"
                 android:permission="android.permission.BIND_JOB_SERVICE">
        </service>
        <service android:name="com.android.server.appsearch.contactsindexer.ContactsIndexerMaintenanceService"
                 android:permission="android.permission.BIND_JOB_SERVICE">
        </service>
    </application>
    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
                     android:targetPackage="com.android.appsearch.appsindexertests"
                     android:label="AppsIndexerTests"/>
</manifest>
